# setArtifacts

abstract fun setArtifacts(sources: Iterable<out Any>)

Clears any previously added artifacts from getArtifacts and creates artifacts from the specified sources. Each supplied source is interpreted as per artifact. For example, to exclude the dependencies declared by a component and instead use a custom set of artifacts:

    plugins {
        id 'java'
        id 'maven-publish'
    }

    task sourceJar(type: Jar) {
      archiveClassifier = "sources"
    }

    publishing {
      publications {
        maven(MavenPublication) {
          from components.java
          artifacts = ["my-custom-jar.jar", sourceJar]
        }
      }
    }

Content copied to clipboard

#### Parameters

sources

The set of artifacts for this publication.